import {
	myRequest
} from "../request.js";
export default {
	polyvSign(data) {
		return myRequest({
			url: "/polyv/video/sign/auth",
			method: "get",
			data: data,
		});
	},
	recordLast(data) {
		return myRequest({
			url: "/study/record/last",
			method: "get",
			data: data,
		});
	},
	menuExamList(data) {
		return myRequest({
			url: "/course/menu/exam/list",
			method: "get",
			data: data,
		});
	},
	reSectionList(data) {
		return myRequest({
			url: "/course/sectionList",
			method: "get",
			data: data,
		});
	},
	reChapterList(data) {
		return myRequest({
			url: "/course/chapterList",
			method: "get",
			data: data,
		});
	},
	appBeforeAddress(data) {
		return myRequest({
			url: "/app/before/address",
			method: "get",
			data: data,
		});
	},

	reMenuList(data) {
		return myRequest({
			url: "/course/menuList",
			method: "get",
			data: data,
		});
	},
	menuList(data) {
		return myRequest({
			url: "/app/common/course/menuList",
			method: "get",
			data: data,
			noToken: true,
		});
	},
	chapterList(data) {
		return myRequest({
			url: "/app/common/course/chapterList/" + data,
			method: "get",
			noToken: true,
		});
	},
	sectionList(data) {
		return myRequest({
			url: "/app/common/course/sectionList/" + data,
			method: "get",
			noToken: true,
		});
	},
	courseGoodsList(data) {
		return myRequest({
			url: "/course/goodsList",
			method: "get",
			data: data,
		});
	},
	// 购买讲义列表
	goodsHandoutsList(data) {
		return myRequest({
			url: "/course/goodsHandoutsList",
			method: "get",
			data: data,
		});
	},
	courseCourseList(data) {
		return myRequest({
			url: "/course/courseList",
			method: "get",
			data: data,
		});
	},
	//商品双师资模板
	courseTeacherList(data) {
		return myRequest({
			url: "/goods/course/teacher/list",
			method: "get",
			data: data,
		});
	},
	courseDetail(data) {
		return myRequest({
			url: "/course/" + data,
			method: "get",
		});
	},
	courseBusiness(data) {
		return myRequest({
			url: "/app/common/course/business/" + data,
			method: "get",
			noToken: true,
		});
	},

	courseHandouts(data) {
		return myRequest({
			url: "/course/handouts/file/detail",
			method: "get",
			data,
		});
	},
	appcommoncourseHandouts(data) {
		return myRequest({
			url: "/app/common/course/handouts/file/detail",
			method: "get",
			data,
			noToken: true
		});
	},
	getHandoutList(data) {
		return myRequest({
			url: "/course/handouts/listByGoods",
			method: "get",
			data: data,
		});
	},
	courseGoodsRebuildStatus(data) {
		return myRequest({
			url: "/course/goodsRebuildStatus",
			method: "get",
			data: data,
		});
	},
	orderfirstChoiceGoods(data) {
		return myRequest({
			url: '/order/firstChoiceGoods',
			method: 'post',
			data: data
		})
	},
	faceCertificationIDCardOCR(data) {
		return myRequest({
			url: "/face/certification/IDCardOCR",
			method: "post",
			data: data,
		});
	},

	facCertificationImageRecognition(data) {
		return myRequest({
			url: "/face/certification/ImageRecognition",
			method: "post",
			data: data,
		});
	},

	faceCertificationIdCardCompareFace(data) {
		return myRequest({
			url: "/face/certification/idCardCompareFace",
			method: "post",
			data: data,
		});
	},

	faceCertificationCompareFace(data) {
		return myRequest({
			url: "/face/certification/CompareFace",
			method: "post",
			data: data,
		});
	},

	gradeCheckGoodsStudy(data) {
		return myRequest({
			url: "/grade/grade/checkGoodsStudy",
			method: "get",
			data: data,
		});
	},
	
	orderGetViewSign(data) {
		return myRequest({
			url: "/order/getViewSign/"+data,
			method: "get",
		});
	},
	
	courseSkipPort(data) {
		return myRequest({
			url: "/course/skipPort",
			method: "get",
			data: data,
		});
	},

	polyvLiveHistoryChatMsgList(data) {
		return myRequest({
			url: "/polyv/live/historyChatMsgList",
			method: "get",
			data: data,
		});
	},
	studyRecordQueryLiveLast(data) {
		return myRequest({
			url: "/study/record/queryLiveLast",
			method: "get",
			data: data,
		});
	},

	courseMajorList(data) {
		return myRequest({
			url: "/course/major/list",
			method: "get",
			data: data,
		});
	},
	// 学习中心的直播课列表
	getgoodsLiveList(data) {
		return myRequest({
			url: "/goods/getLiveList",
			method: "get",
			data: data,
			compleLoading: true,
		});
	},
	// 查询用户拥有视频+直播商品
	listUserVideoLive(data) {
		return myRequest({
			url: "/goods/listUserVideoLive",
			method: "get",
			data: data,
			compleLoading: true,
		});
	},
	courseoldgoodslist(data) {
		return myRequest({
			url: "/course/old/goods/list",
			method: "get",
			data: data,
		});
	},
	reSectionExamList(data) {
		return myRequest({
			url: "/course/sectionExamList",
			method: "get",
			data: data,
		});
	},
	// 二建二造检测必修是否学完
	checkFinishRequiredCourse(data) {
		return myRequest({
			url: "/grade/grade/checkFinishRequiredCourse",
			method: "get",
			data: data,
		});
	},
	// 继教七大员公共课程同步
	syncSevenPublicClass(data) {
		return myRequest({
			url: "/study/record/syncSevenPublicClass",
			method: "get",
			data: data,
		});
	},
	// 七大员课程学习校验
	qCheckIsCanLearn(id) {
		return myRequest({
			url: "/order/study/check/" + id,
			method: "get",
		});
	},
};